jython,JyNI and numpy

Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

jython,JyNI and numpy

Lana Abadie
Dear all
I'm new to Jython. I read that now one shall be able to import numpy from Jython using JyNI.
However in my case, the import failed as follows
File "/usr/lib64/python2.6/site-packages/numpy/__init__.py", line 153, in <module>
    from . import add_newdocs
  File "/usr/lib64/python2.6/site-packages/numpy/add_newdocs.py", line 13, in <module>
    from numpy.lib import add_newdoc
  File "/usr/lib64/python2.6/site-packages/numpy/lib/__init__.py", line 8, in <module>
    from .type_check import *
ImportError: No module named type_check


I'm using the eclipse plugin of jython (2-7) and the latest version of JyNI. I'm running it from linux RHEL 6.5
thanks for your help
Lana

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Jython-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jython-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: jython,JyNI and numpy

Stefan Richthofer
Lana, which NumPy version are you using? Only NumPy 1.12 or later are supported. Also note that Numpy support is not yet exhaustive. Many aspects don't work yet.

-Stefan

> Gesendet: Freitag, 28. Juli 2017 um 16:27 Uhr
> Von: "Lana Abadie" <[hidden email]>
> An: [hidden email]
> Betreff: [Jython-users] jython,JyNI and numpy
>
> Dear all
> I'm new to Jython. I read that now one shall be able to import numpy from
> Jython using JyNI.
> However in my case, the import failed as follows
> File "/usr/lib64/python2.6/site-packages/numpy/__init__.py", line 153, in
> <module>
>     from . import add_newdocs
>   File "/usr/lib64/python2.6/site-packages/numpy/add_newdocs.py", line 13,
> in <module>
>     from numpy.lib import add_newdoc
>   File "/usr/lib64/python2.6/site-packages/numpy/lib/__init__.py", line 8,
> in <module>
>     from .type_check import *
> ImportError: No module named type_check
>
>
> I'm using the eclipse plugin of jython (2-7) and the latest version of
> JyNI. I'm running it from linux RHEL 6.5
> thanks for your help
> Lana
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot_______________________________________________
> Jython-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/jython-users
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Jython-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jython-users
Loading...